Subject: Re: [RFC PATCH 1/6] invisible network devices

From: Christoph Hellwig <[email-masked]>
Date: Tue, 30 Jan 2007 10:08:18 +0000

On Mon, Jan 29, 2007 at 10:28:14AM -0800, Stephen Hemminger wrote:
> Maybe code would be cleaner if you just could do:
> 	register_netdevice(mydev);
> 
> 	cloak_netdevice(mydev);
> 
> 
> And cloak_netdevice() just removed the network device from the 
> name table.  I would rather keep it with a real ifindex and in the
> device list, so that if the interface is miss used or the device
> is referenced by other devices, we don't see unexpected surprises
> like oops.

I don't think first publishing it and then hiding it is a good idea,
but I agreed that it should at least have a valid ifindex.